
Redmine - Defect #6844

Unchecking status filter on the issue list has no effect

2010-11-07 10:40 - Christian Weiske

Status: Closed Start date: 2010-11-07

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 1.1.0   

Resolution: Fixed Affected version: 1.0.3

Description

Unchecking the status filter in the issues list filter does not work.

This happens on http://tt-rss.org/redmine/issues and on this installation here.

Steps to reproduce:

1. http://www.redmine.org/projects/redmine/issues

2. Add a new filter "created by"

3. Add a new filter "created since" 14 days

4. Uncheck the "status" filter

5. Apply

6. Status filter is still active

Related issues:

Has duplicate Redmine - Defect #6934: Ticket list: Behaviour with no filter Closed 2010-11-18

Associated revisions

Revision 4387 - 2010-11-07 16:38 - Jean-Philippe Lang

Fixed: unchecking status filter on the issue list has no effect (#6844).

History

#1 - 2010-11-07 16:32 - Jean-Philippe Lang

- Subject changed from Unchecking status filter does not work to Unchecking status filter on the issue list has no effect

- Status changed from New to Closed

- Target version set to 1.1.0

- Resolution set to Fixed

A workaround is to set Status -> all. But it's fixed in r4387.

#2 - 2014-07-12 04:44 - Hoc NV

Hi Jean-Philippe Lang,

i use redmine 2.4 version. So as you memtion above, i still not how to fix it.

i must download all file reference you share and upload to mine right?

Can you help me?

#3 - 2014-07-12 05:27 - Go MAEDA

Hoc NV, I cannot reproduce with Redmine 2.5.2. After clearing the check box "Status" and click "Apply", I can see both open and closed issues. I also

tried on www.redmine.org and worked as expected.

Please show the steps to reproduce it on www.redmine.org.

#4 - 2014-07-12 14:54 - Hoc NV

Thanks Go MAEDA reply.

I have just tried and worked as expected.

Thanks so much :)
